Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Interface ElementDuct

All Known Implementing Classes:
  AggregatorEveryStage, BufferEveryWindow, EachStage, ElementStage, EveryStage, FilterEachStage, FunctionEachStage, GroupAssertionEveryStage, HadoopCoGroupGate, HadoopGroupByGate, HadoopGroupGate, HadoopMemoryJoinGate, HadoopSinkStage, JoinStage, LocalGroupByGate, MemoryCoGroupGate, MemoryHashJoinGate, MemorySpliceGate, MergeStage, OperatorStage, SinkStage, SourceStage, SpliceGate, SyncMergeStage, ValueAssertionEachStage

    public interface ElementDuct

Method Summary
`void` | `addIncomingScope(Scope incomingScope)`
`void` | `addOutgoingScope(Scope outgoingScope)`
`Set<String>` | `getBranchNames()`
`FlowElement` | `getFlowElement()`
`List<Scope>` | `getIncomingScopes()`
`List<Scope>` | `getOutgoingScopes()`
`boolean` | `hasTrapHandler()`
`void` | `setBranchNames(Set<String> branchNames)`
`void` | `setTrapHandler(TrapHandler trapHandler)`

Method Detail

### getBranchNames

    Set<String> getBranchNames()

### setBranchNames

    void setBranchNames(Set<String> branchNames)

### getFlowElement

    FlowElement getFlowElement()

### setTrapHandler

    void setTrapHandler(TrapHandler trapHandler)

### hasTrapHandler

    boolean hasTrapHandler()

### addIncomingScope

    void addIncomingScope(Scope incomingScope)

### addOutgoingScope

    void addOutgoingScope(Scope outgoingScope)

### getIncomingScopes

    List<Scope> getIncomingScopes()

### getOutgoingScopes

    List<Scope> getOutgoingScopes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.